Changes in an environment and their state
GET
/v1/organisations/{id}/environments/{envId}/changesOperation changes.list · since 2026-11-05 · stable
Needs a session withreadscopeAnswers200 OK
{ "changes": [...] }: the newest 100, with their state and price.
Path parameters
- idstring (uuid)required
- The organisation id.
- envIdstring (uuid)required
- The environment id.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
GET/v1/organisations/{id}/environments/{envId}/changes
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/changes" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"With the rykloud CLI
rykloud changes list [ENV]Command reference: rykloud changes list